<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/bgLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:gravity="center_horizontal"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/uvv_titlebar_bg"
        android:theme="@style/AppTheme.AppBarOverlay"
        android:visibility="visible">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?android:attr/actionBarSize"
            android:background="@android:color/transparent"
            app:elevation="0dp">

            <TextView
                android:id="@+id/title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:ellipsize="marquee"
                android:gravity="center"
                android:marqueeRepeatLimit="marquee_forever"
                android:scrollHorizontally="true"
                android:singleLine="true"
                android:text="Topic"
                android:textColor="@color/white"
                android:textSize="@dimen/textSize" />

        </androidx.appcompat.widget.Toolbar>
    </com.google.android.material.appbar.AppBarLayout>

    <FrameLayout
        android:id="@+id/video_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/material_white"
        android:visibility="visible">

        <com.cygnusa.hyperm.videoview.UniversalVideoView
            android:id="@+id/videoView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            app:uvv_autoRotation="true"
            app:uvv_fitXY="true" />

        <com.cygnusa.hyperm.videoview.UniversalMediaController
            android:id="@+id/media_controller"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="gone"
            app:uvv_scalable="true" />

        <ProgressBar
            android:id="@+id/progressBar"
            android:layout_width="@dimen/buttonHeightNormal"
            android:layout_height="@dimen/buttonHeightNormal"
            android:layout_gravity="center"
            android:visibility="gone" />

    </FrameLayout>


</FrameLayout>
